Subject: [tsvwg] Fwd: New Version Notification for draft-roca-tsvwg-rlc-fec-scheme-00.txt

From: Vincent Roca <[email-masked]>
Date: Tue, 7 Feb 2017 09:41:11 +0100

Hello everybody,

As promised during last IETF, here is an I-D for a FEC scheme to be used along with
FECFRAME extended to convolutional codes (mis-called FECFRAME version 2 so far).

I'm cross-posting this to the NWCRG mailing list as there are many very interesting research
aspects on block FEC codes versus convolutional FEC codes for all situations where latency
does matter.

In short: 
With a multicast/broadcast (extended) FECFRAME session for real-time content, these
codes significantly improve robustness in harsh environments, with less repair traffic and lower
FEC-related latency (close to zero for good receivers). 

Regards,

  Vincent

> De: [email-masked]
> Objet: New Version Notification for draft-roca-tsvwg-rlc-fec-scheme-00.txt
> Date: 7 février 2017 à 09:22:00 UTC+1
> À: "Vincent Roca" <[email-masked]>
> 
> 
> A new version of I-D, draft-roca-tsvwg-rlc-fec-scheme-00.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-tsvwg-rlc-fec-scheme
> Revision:	00
> Title:		Random Linear Codes (RLC) Forward Error Correction (FEC) Scheme for FECFRAME
> Document date:	2017-02-07
> Group:		Individual Submission
> Pages:		19
> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-rlc-fec-scheme-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-rlc-fec-scheme/
> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-rlc-fec-scheme-00
> 
> 
> Abstract:
>   This document describes a fully-specified FEC scheme for the
>   convolutional Random Linear Codes (RLC) over GF(2^^m), where m equals
>   1 (binary case), 4 or 8, that can be used to protect arbitrary media
>   streams along the lines defined by FECFRAME extended to convolutional
>   codes.  These convolutional FEC codes rely on an encoding window that
>   slides over the source symbols, generating new repair symbols
>   whenever needed.  Compared to block FEC codes, these convolutional
>   FEC codes offer key advantages in terms of reduced FEC-related
>   latency while often providing improved erasure recovery capabilities.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>